## pnm2ppa 1.13

=== debian/changelog ===
pnm2ppa (1.13-14) unstable; urgency=medium

  * add 0006-gcc15.patch (Closes: #1097625)
  * add debconf translation INTL:ca (Closes: #1101122)
    (Thanks a lot to Carles Pina i Estany)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Sep 2025 10:35:51 +0200

pnm2ppa (1.13-13) unstable; urgency=medium

  * debian/control: add myself to Uploaders:
  * debian/control: add Rules-Requires-Root:
  * debian/watch: fix watch file
  * debian/copyright: convert to DEP5 version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Oct 2021 18:35:51 +0200

pnm2ppa (1.13-12) unstable; urgency=medium

  * QA upload

  [ Benedikt Spranger ]
  * Replace deprecated and dropped Debian util tempfile (Closes: #993621)

 -- Didier Raboud <odyx@debian.org>  Mon, 06 Sep 2021 10:35:51 +0200

pnm2ppa (1.13-11) unstable; urgency=medium

  * Run wrap-and-sort -baskt
  * S-V: Update to 4.6.0 without changes needed
  * Remove myself from Uploaders
  * Update watch file format version to 4
  * Bump debhelper compat to 13
  * Add Salsa CI configuration

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Sep 2021 17:14:27 +0200

pnm2ppa (1.13-10) unstable; urgency=medium

  * Convert to git debrebase workflow
  * lintian brush:
    - Trim trailing whitespace.
    - Drop use of autotools-dev debhelper.
    - Bump debhelper from deprecated 9 to 10.
    - Drop unnecessary dependency on dh-autoreconf.
    - Drop unnecessary dh arguments: --parallel
  * Add Fedora patch for GCC-10 FTBFS (Closes: #957695)
    - Declare syslog_message correctly for GCC-10 FTBFS (Zdenek Dohnal)

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jul 2020 10:49:39 +0200

pnm2ppa (1.13-9) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o
  * Initialize git-dpm

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 16:45:21 +0100

pnm2ppa (1.13-8) unstable; urgency=medium

  [ Didier Raboud ]
  * Bump Standards-Version to 3.9.8 without changes needed

  [ Helmut Grohne ]
  * Fix FTCBFS: Revert 00_use_env_buildflags.patch (Closes: #843695)

 -- Didier Raboud <odyx@debian.org>  Tue, 08 Nov 2016 22:37:39 +0100

pnm2ppa (1.13-7) unstable; urgency=medium

  * Add patch to remove CPP timestamps usage, for reproducibility
  * Bump Standards-Version to 3.9.7 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 26 Feb 2016 17:23:46 +0100

pnm2ppa (1.13-6) unstable; urgency=medium

  * Move the repository from collab-maint to printing; update the VCS-* fields
    accordingly
  * Add patch to build the make_hash_ink buildtool natively, with the correct
    buildflags; use dh-autoreconf to cope with the change
  * Use the correct syntax to append to CFLAGS
  * Bump debhelper B-D to 9 to align with compat

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Mar 2014 15:00:58 +0100

pnm2ppa (1.13-5) unstable; urgency=low

  * Acknowledge 1.13-4.1 NMU - thanks to Colin Watson
  * Drop pnm2ppa transitional package which reached stable
  * Bump Standards-Version to 3.9.5 without changes needed
  * Drop empty directories in /usr/share/doc/ (Closes: #686555)

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Nov 2013 16:26:24 +0100

pnm2ppa (1.13-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64 (closes: #725967).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 11:45:36 +0000

pnm2ppa (1.13-4) unstable; urgency=low

  [ Debconf translation updates ]
  * Update German (Erik Schanze, Closes: #648070)
  * Add Italian (Francesca Ciceri, Closes: #656936)

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Feb 2012 19:00:18 +0100

pnm2ppa (1.13-3) unstable; urgency=low

  [ Adriano Rafael Gomes ]
  * Add Brazilian Portuguese debconf translation. (Closes: #646187)

  [ Didier Raboud ]
  * Rename pnm2ppa to printer-driver-pnm2ppa, add transitional package.
  * Rewrite short description.
  * Bump debhelper compat to 9 for auto- buildflags.

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Oct 2011 22:48:20 +0200

pnm2ppa (1.13-2) unstable; urgency=low

  * Re-introduce 10_177295-fix_signedness.patch:
    - Complete removal was wrong as only a part of it has been incorporated
      upstream.
  * Install Ubuntu's apport-hook in Ubuntu and derivatives (LP: #338442).
  * Use dpkg-buildflags to initialize CFLAGS.

 -- Didier Raboud <odyx@debian.org>  Thu, 26 May 2011 16:48:19 +0200

pnm2ppa (1.13-1) unstable; urgency=low

  * New 1.13 upstream release.
  * Adopt package (Closes: #572679).
     - Put under Debian Printing Team umbrella
     - Set myself as Uploader.
     - Thanks go to Chad Walstrom for his past maintainance and to Christian
       Perrier and Samuel Thibault for their NMUs.
  * Update debian/watch (Closes: #450007).
  * Drop dbs Build-Dependency (Closes: #576050).
    - Refresh patches in the process
      - Drop 10_1777295-fix_signedness: incorporated upstream.
    - Set source format to 3.0 (quilt).
    - Add a debian/patches/series.
    - Drop dbs snippets from debian/rules.
    - Drop .in extensions from debian/pnm2ppa.examples.in and
      debian/pnm2ppa.install.in, adapt them.
  * Add a DEP-3 header to all patches.
  * Rewrite debian/rules using tiny dh7 style.
    - Bump debhelper compat to 7.
    - Bump Build-Dependency on debhelper to >= 7.0.50~.
    - Use pnm2ppa.docs, remove redundant files in debian/rules.
    - Update pnm2ppa.{install,manpages}.
  * Correct postinst to remove full paths from commands.
    - Rename it to pnm2ppa.postinst.
  * Move the "set -e" invocation of postrm from shebang to body.
    - Rename it to pnm2ppa.postrm.
  * Add a valid Homepage.
  * Fix manpages "hyphen-used-as-minus" problems.
  * Update debian/copyright to explicitly mention the GPLv2+ nature of
    pnm2ppa.
  * Move the "set -e" invocation of update-magicfilter from shebang to body.
  * Make sure update-magicfilters is executable.

