=== debian/watch ===
version=4
http://sf.net/pnm2ppa/pnm2ppa-(\d*\.[\d]*)\.tar\.gz
