## pnm2ppa 1.13%2Bnondbs

=== debian/control ===
Source: pnm2ppa
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.9.0~), autotools-dev
Homepage: http://pnm2ppa.sf.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pnm2ppa.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pnm2ppa.git
Standards-Version: 3.9.5

Package: printer-driver-pnm2ppa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ghostscript
Suggests: magicfilter | apsfilter
Conflicts: pbm2ppa
Replaces: pnm2ppa (<< 1.13-3~)
Breaks: pnm2ppa (<< 1.13-3~)
Description: printer driver for HP-GDI printers
 Using pnm2ppa it's possible to run HP-GDI printers on Linux. These printers
 are normally "Windows-only" and use the PPA protocol which is proprietary.
 pnm2ppa supports color.
 .
 pnm2ppa supports the following printers: HP Deskjet 7XX Series, HP Deskjet
 820 Series and HP Deskjet 1000 Series.
