## pnm2ppa 1.13+nondbs

=== debian/changelog ===
pnm2ppa (1.13+nondbs-0ubuntu3) saucy; urgency=low

  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Oct 2013 13:53:51 +0100

pnm2ppa (1.13+nondbs-0ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 16:48:29 +0100

pnm2ppa (1.13+nondbs-0ubuntu1) precise; urgency=low

  * Pseudo-sync with Debian: This package is noow absolutely identical
    with Debian's 1.13-4 except the upstream version number. The upstream
    version number got the "+nondbs" to replace the DBS tarball-in-tarball
    upstream source tarball by the straight tarball of Debian, to get rid
    of the DBS packaging and make future merges, syncs and upstream updates
    easier. We cannot wait for a new upstream version here, as upstream
    updates happen rarely, perhaps there will even never be a new upstream
    version especially because the class of printers supported by pnm2ppa
    was discontinued years ago.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 15 Feb 2012 19:11:05 +0100
