=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Homepage: http://pnm2ppa.sf.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pnm2ppa.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/pnm2ppa.git
-Standards-Version: 3.9.5
+Standards-Version: 3.9.2.0
 
 Package: printer-driver-pnm2ppa
 Architecture: any
@@ -24,3 +24,12 @@
  .
  pnm2ppa supports the following printers: HP Deskjet 7XX Series, HP Deskjet
  820 Series and HP Deskjet 1000 Series.
+
+Package: pnm2ppa
+Depends: printer-driver-pnm2ppa, ${misc:Depends}
+Architecture: all
+Section: oldlibs
+Priority: extra
+Description: transitional dummy package for pnm2ppa printer driver
+ This is a transitional dummy package to transition to uniformly named
+ printer-driver-pnm2ppa.
