=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,11 @@
 
 derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")
 
-export DEB_CFLAGS_MAINT_APPEND += -DLANG_ENG -Wall
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS += -DLANG_ENG -Wall
 
 %:
-	dh $@ --builddirectory=build/
+	dh $@ --parallel --builddirectory=build/ --with autotools_dev
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=build/ --destdir=debian/printer-driver-pnm2ppa/
@@ -21,7 +22,7 @@
 	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-pnm2ppa/usr/share/apport/package-hooks/source_pnm2ppa.py
 endif
 
-override_dh_installdocs:
+override_dh_installdocs: 
 	dh_installdocs
 	# Remove useless or redundant files
 	cd debian/printer-driver-pnm2ppa/usr/share/doc/printer-driver-pnm2ppa/;\
@@ -40,5 +41,4 @@
 		rm en/pnm2ppa.1;\
 		rm pl/INSTALACJA;\
 		rm pl/INSTALACJA.SUSE
-	# Remove empty directories
-	rm -Rf debian/printer-driver-pnm2ppa/usr/share/doc/pnm2ppa
+
